local assets = {
    Asset("SCRIPT", "scripts/prefabs/player_common.lua"),
}
local prefabs = {}

-- Custom starting inventory
local start_inv = { 
"boyarishnik",
"salo",
"pelmeni",
"humanmeat",
"humanmeat",
"humanmeat",
"humanmeat",
"humanmeat",
"humanmeat",
"humanmeat",
"humanmeat",
"humanmeat",
"saddle_basic",
"brush",
}
-- When the character is revived from human
local function onbecamehuman(inst)
	-- Set speed when not a ghost (optional)
	inst.components.locomotor:SetExternalSpeedMultiplier(inst, "antoh_speed_mod", 1.35)
end

local function onbecameghost(inst)
	-- Remove speed modifier when becoming a ghost
   inst.components.locomotor:RemoveExternalSpeedMultiplier(inst, "antoh_speed_mod", 1.35)
end

-- When loading or spawning the character
local function onload(inst)
    inst:ListenForEvent("ms_respawnedfromghost", onbecamehuman)
    inst:ListenForEvent("ms_becameghost", onbecameghost)

    if inst:HasTag("playerghost") then
        onbecameghost(inst)
    else
        onbecamehuman(inst)
    end
end


-- This initializes for both the server and client. Tags can be added here.
local common_postinit = function(inst) 
	-- Minimap icon
	inst.MiniMapEntity:SetIcon( "antoh.tex" )
end

-- This initializes for the server only. Components are added here.
local master_postinit = function(inst)
	-- choose which sounds this character will play
	inst.soundsname = "wortox"
	
	-- Uncomment if "wathgrithr"(Wigfrid) or "webber" voice is used
    --inst.talker_path_override = "dontstarve_DLC001/characters/"
	
	-- Stats	
inst.components.health:SetMaxHealth(69)
inst.components.hunger:SetMax(139)
inst.components.sanity:SetMax(69)
inst.components.health:StartRegen(1, 3)
inst.components.sanity.night_drain_mult = -2
inst.components.sanity.aura_mult = -5
-- Damage multiplier (optional)
inst.components.combat.damagemultiplier = 0.65
inst.components.health:SetAbsorptionAmount(0.15)
-- Hunger rate (optional)
inst.components.hunger.hungerrate = 1.35 * TUNING.WILSON_HUNGER_RATE
inst.components.combat.min_attack_period = -2
inst.components.combat:SetAttackPeriod(-2)
inst.OnLoad = onload
inst.OnNewSpawn = onload
inst.components.combat:SetDefaultDamage(69)
inst.components.combat.hitrange = 2.6
inst.components.combat.attackrange = 2.4
inst.components.temperature.inherentsummerinsulation = -25
inst.components.temperature.inherentinsulation = -25
inst.components.moisture.maxDryingRate = 0.25
inst.components.builder.science_bonus = 1
inst.components.combat:SetAreaDamage(1.65, 0.5)
end

local common_postinit = function(inst)
inst.MiniMapEntity:SetIcon( "antoh.tex" )
inst:AddTag("antohaonlytag")
end

return MakePlayerCharacter("antoh", prefabs, assets, common_postinit, master_postinit, start_inv)
