local assets = 
{
	Asset("ATLAS", "images/inventoryimages/pelmeni.xml"), 
	Asset("ANIM", "anim/pelmeni.zip"), 
}

local prefabs = { }

local duration_time = 460 --длительность бафа в секундах (игровой день длится 480 секунд) меняй на любое число
local spd = 7 --сколько накидывается скорости сверху (базовая скорость равна 7) (пример 7+7 будет двойная скорость)
--------------

-------------
local function turnoffspeed(inst)
inst.components.locomotor.groundspeedmultiplier = 1.35
inst.components.locomotor.externalspeedmultiplier = 1.35
end

local function OnEaten(inst, eater)
eater.components.locomotor.isrunning = true
eater.components.locomotor.groundspeedmultiplier = 2.0
eater.components.locomotor.externalspeedmultiplier = 2.0
eater:DoTaskInTime(999, turnoffspeed)
end
-----------------
local function fn() 
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
	inst.entity:AddNetwork()
	inst.entity:SetPristine()
	
	MakeInventoryPhysics(inst) 
	
	inst.AnimState:SetBank("pelmeni")
	inst.AnimState:SetBuild("pelmeni") 
	inst.AnimState:PlayAnimation("idle") 
	
	if not TheWorld.ismastersim then 
		return inst
	end
	
	inst:AddComponent("inventoryitem")	
    inst:AddComponent("stackable") 
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM 
	
	inst:AddComponent("perishable") 
    inst.components.perishable:SetPerishTime(TUNING.PERISH_FAST * 2) --время гниения первый параметр равен 6 соответственно (6*15=90 дней)
    inst.components.perishable:StartPerishing()
    inst.components.perishable.onperishreplacement = "rot"  --энто то что получится после перегнивания

	
	inst.components.inventoryitem.imagename = "pelmeni" 
	inst.components.inventoryitem.atlasname = "images/inventoryimages/pelmeni.xml" 
	
	inst:AddComponent("inspectable") 
    MakeHauntableLaunchAndIgnite(inst)
	
	
	inst:AddComponent("edible") 
    inst.components.edible.healthvalue = -34 --хп, снизу голод и рассудок соответственно
	inst.components.edible.hungervalue = 40 
    inst.components.edible.sanityvalue = -35
    inst.components.edible.foodtype = "MEAT"
	inst.components.edible:SetOnEatenFn(OnEaten) 
	
	return inst

end

return Prefab("pelmeni", fn, assets, prefabs)