local assets = 
{
	Asset("ATLAS", "images/inventoryimages/salo.xml"),
	Asset("ANIM", "anim/salo.zip"),
}

local prefabs = { }

local duration_time = 160 --длительность бафа в секундах (игровой день длится 480 секунд) меняй на любое число
local dmg = 0.4 --эффект бафа (0.5 = 50% к урону соответственно 5 = 500%  и т.д)


local function turnoffdamage(inst)
inst.components.combat.damagemultiplier = 1.25
end

local function OnEaten(inst, eater)
eater.components.combat.damagemultiplier = 1.75
eater:DoTaskInTime(360, turnoffdamage)
end

local function fn()
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
	inst.entity:AddNetwork()
	inst.entity:SetPristine()
	
	MakeInventoryPhysics(inst) 
	
	inst.AnimState:SetBank("salo")
	inst.AnimState:SetBuild("salo")
	inst.AnimState:PlayAnimation("idle")  
	
	if not TheWorld.ismastersim then
		return inst
	end
	
	inst:AddComponent("inventoryitem")
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
	
	inst:AddComponent("perishable") 
    inst.components.perishable:SetPerishTime(TUNING.PERISH_FAST * 3) --время гниения первый параметр равен 6 соответственно (6*15=90 дней)
    inst.components.perishable:StartPerishing()
    inst.components.perishable.onperishreplacement = "rot" --энто то что получится после перегнивания

	
	inst.components.inventoryitem.imagename = "salo"
	inst.components.inventoryitem.atlasname = "images/inventoryimages/salo.xml"
	
	inst:AddComponent("inspectable") 
    MakeHauntableLaunchAndIgnite(inst)
	
	
	inst:AddComponent("edible")
    inst.components.edible.healthvalue = -60 --хп, снизу голод и рассудок соответственно
	inst.components.edible.hungervalue = 60
    inst.components.edible.sanityvalue = -100
    inst.components.edible.foodtype = "MEAT"
	inst.components.edible:SetOnEatenFn(OnEaten)
	inst:AddComponent("tradable")
	return inst

end

return Prefab("salo", fn, assets, prefabs)